<script setup lang="ts">
import { isDark } from '@slidev/client/logic/dark';
</script>
<template>
	<div class="slidev-layout grid h-full content-center">
		<div class="abs-tr right-6 top-6 flex items-center gap-4">
			<NttDataLogo class="w-[100px] dark:fill-white fill-brand-primary" />

			<DarkToggle class="" />
		</div>

		<div class="h-auto">
			<slot />
		</div>

		<div class="absolute bottom-4 right-4 bg-brand-primary text-xs p-2 font-bold !text-white">
			{{ $slidev.nav.currentPage }}
		</div>
	</div>
</template>
